

#pragma once

#include "CoreMinimal.h"
#include "BehaviorTree/BTService.h"
#include "BTService_MentalState.generated.h"

/**
 * 
 */
UCLASS()
class MMACV8_2023_API UBTService_MentalState : public UBTService
{
	GENERATED_BODY()

	UBTService_MentalState(const FObjectInitializer& ObjectInitializer = FObjectInitializer::Get());

	virtual void TickNode(UBehaviorTreeComponent& OwnerComp, uint8* NodeMemory, float DeltaSeconds) override;

	UPROPERTY(EditAnywhere, Category="Blackboard")
	FBlackboardKeySelector PanicKey;
	
};
